<template>
	<view class="content">
		<view class="order-title">
			<view class="body-title">
				<view class="header">我的订单</view>
			</view>
			<view class="roder-content">
				<view class="left" :class="{ current: currentIndex === index }" :key="index"
					v-for="(item, index) in maiList" @click="navGo(index)">{{ item.title }}</view>
			</view>
		</view>
		<view class="navbar" v-show="currentIndex == 0">
			<view v-for="(item, index) in navList" :key="index" class="nav-item"
				:class="{ current: tabCurrentIndex === index }" @click="tabClick(index, 0)">
				{{ item.text }}
				<view class="dian" v-if="tabCurrentIndex != index && item.isnew == 2"></view>
			</view>
		</view>
		<view class="navbar" v-show="currentIndex == 1">
			<view v-for="(item, index) in navList1" :key="index" class="nav-item"
				:class="{ current: tabCurrentIndex1 === index }" @click="tabClick(index, 1)">
				{{ item.text }}
				<view class="dian" v-if="tabCurrentIndex1 != index && item.isnew == 2"></view>
			</view>
		</view>

		<swiper :current="currentAuto" class="swiper-box-one" duration="0" @change="changeTab">
			<swiper-item class="tab-content" v-for="(tabItem, tabIndex) in navList" :key="tabIndex"
				v-if="currentIndex == 0">
				<scroll-view class="list-scroll-content" scroll-y @scrolltolower="loadData">
					<!-- 空白页 -->
					<empty v-if="tabItem.loaded === true && tabItem.orderList.length === 0"></empty>

					<!-- 订单列表 -->
					<view v-for="(item, index) in tabItem.orderList" :key="index" class="order-item"
						@click="goToOrderDetail(item)">
						<view class="i-top b-b">
							<text class="time">{{ item.order_id }}</text>
							<text class="state" :style="{ color: item.stateTipColor }">{{ item.stateTip }}</text>
						</view>

						<view class="goods-box-single">
							<image class="goods-img" :src="item.image" mode="aspectFill"></image>
							<view class="right">
								<text class="title clamp">{{ item.name }}</text>
								<text class="attr-box">x1</text>
								<text class="price">{{ moneyNum(item.price) }}</text>
							</view>
						</view>

						<view class="price-box">
							共
							<text class="num">1</text>
							件商品 邮费
							<text class="price">0</text>
							实付款
							<text class="price">{{ moneyNum(item.price) }}</text>
						</view>
						<view class="action-box b-t flex">
							<view class="time">
								创建时间：{{item.create_time}}
							</view>
							<view >
								<button v-if="item.stateTip == '待支付'" @click.stop="pay(item)" class="action-btn recom">立即支付</button>
								<button v-else-if="item.stateTip == '待挂售' && tabItem.state != 0" @click.stop="gsell(item)" class="action-btn recom">{{ item.frozen == 0 ? '立即挂售' : '冻结中' }}</button>
								<button v-else-if="item.stateTip == '待审核'" @click.stop="pay(item)" class="action-btn recom">修改凭证</button>
							</view>
						</view>
					</view>

					<u-loadmore  class="margin-t-30" :status="tabItem.loadingType" />
				</scroll-view>
			</swiper-item>
			<swiper-item class="tab-content" v-for="(tabItem, tabIndex) in navList1" :key="tabIndex"
				v-if="currentIndex == 1" @click="goToOrderDetail(item)">
				<scroll-view class="list-scroll-content" scroll-y @scrolltolower="loadData">
					<!-- 空白页 -->
					<empty v-if="tabItem.loaded === true && tabItem.orderList.length === 0"></empty>

					<!-- 订单列表 -->
					<view v-for="(item, index) in tabItem.orderList" :key="index" class="order-item">
						<view class="i-top b-b">
							<text class="time">{{ item.order_id ? item.order_id : item.order }}</text>
							<text class="state" :style="{ color: item.stateTipColor }">{{ item.stateTip }}</text>
						</view>
						<view class="goods-box-single">
							<image class="goods-img" :src="item.image" mode="scaleToFill"></image>
							<view class="right">
								<view class="flex-start">
									<text class="title clamp">{{ item.name }}</text>
									<text class="price">{{ item.price | moneyNum }}</text>
								</view>
								<view class="row flex" v-if="!item.status && item.status != 0">
									<text class="attr-box">售卖时间:{{ item.gs_time }}</text>
								</view>
								<view class="row flex" v-if="!item.status && item.status != 0">
									<text class="attr-box">来源:{{ item.nickname }}</text>
								</view>
								<view class="row flex" v-else><text class="attr-box">x1</text></view>
							</view>
						</view>

						<view class="buy-box">
							<view class="buy-info" v-if="item.tabItem != 0 && item.status">
								<view class="font">买家：</view>
								<image class="avter" :src="item.avatar" mode=""></image>
								<view class="buy-name">{{ item.nickname }}</view>
								<view class="phone">{{ item.phone }}</view>
							</view>
							<view class="padding-b-10" v-if="!item.status && item.status != 0">
								<view class="buy-info">
									<view class="font">挂售价格：{{ item.hanging_price }}</view>
								</view>
								<view class="buy-info">
									<view class="font">挂售时间：{{ item.update_time }}</view>
								</view>
							</view>
						</view>
						<view class="upimg" v-if="item.status == 2 || item.status == 3">
							<view class="up-tit">打款凭证：</view>
							<view class="img-wrap" v-if="item.upload_image" @click="lookimg(item.upload_image)">
								<image :src="item.upload_image" mode=""></image>
							</view>
							<view class="" style="color: #0F253A;font-weight: bold;font-size: 26rpx;" v-else>买家未上传支付凭证
							</view>
						</view>
						<view class="action-box b-t flex" v-if="item.status == 1">
							<view class="time">
								创建时间：{{item.create_time}}
							</view>
							<button @click.stop="call(item)"
								class="action-btn recom">联系买家</button>
							</view>
						<view class="action-box b-t flex" v-if="item.status == 2">
							<view class="time">
								{{item.create_time}}
							</view>
							<view class="flex">
							<button @click.stop="appeal(item)"
								class="action-btn recom">{{ item.appeal == 0 ? '申诉' : '取消申诉' }}</button>
							<button @click.stop="orderPay(item)" class="action-btn recom margin-l-20">通过</button>
							</view>
						</view>
						<!-- <view class="action-box b-t" v-if="!item.status && item.status != 0"><button
								@click.stop="cancel(item)" class="action-btn recom">取消挂售</button></view> -->
					</view>

					<u-loadmore  class="margin-t-30" :status="tabItem.loadingType" />
				</scroll-view>
			</swiper-item>
		</swiper>
		<u-tabbar activeColor="#333333" inactive-color='#999999' :list="tabbar"></u-tabbar>
	</view>
</template>

<script>
	import empty from '@/components/empty';
	import {
		orderList,
		orderCancel,
		orderDel,
		orderTake,
		adopt,
		user_auction_order,
		seller,
		cancel,
		untreated,
		plead,
		revoke
	} from '@/api/order.js';
	import {
		tabbar1
	} from '@/utils/tabbar.js';
	export default {
		components: {
			empty
		},
		data() {
			return {
				loading: false, //判断是否在点击
				height: '', //第一层swiper高度
				tabbar: tabbar1,
				currentIndex: 0, //当前选中的第一级0为我要买单，1我要卖单
				tabCurrentIndex: 0, //当前选中的第二级别我要买单选中项
				tabCurrentIndex1: 0, //当前选中的第二级别我要卖单选中项
				maiList: [{
						title: '我的买单'
					},
					{
						title: '我的卖单'
					}
				],
				navList: [{
						state: 0,
						text: '全部',
						loadingType: 'loadmore',
						orderList: [],
						isnew: 1, //判断是否有新的订单
						page: 1, //当前页数
						limit: 10 //每次信息条数
					},
					{
						state: 1,
						text: '待支付',
						loadingType: 'loadmore',
						orderList: [],
						isnew: 1, //判断是否有新的订单
						page: 1, //当前页数
						limit: 10 //每次信息条数
					},
					{
						state: 2,
						text: '待审核',
						loadingType: 'loadmore',
						orderList: [],
						isnew: 1, //判断是否有新的订单
						page: 1, //当前页数
						limit: 10 //每次信息条数
					},
					{
						state: 4,
						text: '待挂售',
						loadingType: 'loadmore',
						orderList: [],
						isnew: 1, //判断是否有新的订单
						page: 1, //当前页数
						limit: 10 //每次信息条数
					}
				],
				navList1: [{
						state: 0,
						text: '全部',
						loadingType: 'loadmore',
						orderList: [],
						isnew: 1, //判断是否有新的订单
						page: 1, //当前页数
						limit: 10 //每次信息条数
					},
					{
						state: 4,
						text: '售卖中',
						loadingType: 'loadmore',
						orderList: [],
						isnew: 1, //判断是否有新的订单
						page: 1, //当前页数
						limit: 10 //每次信息条数
					},
					{
						state: 1,
						text: '待支付',
						loadingType: 'loadmore',
						orderList: [],
						isnew: 1, //判断是否有新的订单
						page: 1, //当前页数
						limit: 10 //每次信息条数
					},
					{
						state: 2,
						text: '待审核',
						loadingType: 'loadmore',
						orderList: [],
						isnew: 1, //判断是否有新的订单
						page: 1, //当前页数
						limit: 10 //每次信息条数
					}
				]
			};
		},
		computed: {
			currentAuto() {
				if (this.currentIndex == 0) {
					return this.tabCurrentIndex;
				}
				if (this.currentIndex == 1) {
					return this.tabCurrentIndex1;
				}
			}
		},
		onLoad(options) {
			/**
			 * 修复app端点击除全部订单外的按钮进入时不加载数据的问题
			 * 替换onLoad下代码即可
			 */
			this.tabCurrentIndex = +options.state || 0;
		},
		onShow() {
			this.loadData();
			this.upData();
		},
		// #ifdef APP-PLUS || H5
		onBackPress(e) {
			uni.switchTab({
				url: '/pages/user/user'
			});
			return true;
		},
		// #endif
		filters: {
			moneyNum(value) {
				return +value;
			}
		},
		// 页面加载完获取swiper高度
		onReady(res) {
			var obj = this;
			uni.getSystemInfo({
				success: resu => {
					const query = uni.createSelectorQuery();
					query.select('.swiper-box-one').boundingClientRect();
					query.exec(function(res) {
						console.log(res, 'ddddddddddddd');
						obj.height = resu.windowHeight - res[0].top + 'px';
						console.log('打印页面的剩余高度', obj.height);
					});
				},
				fail: res => {}
			});
		},
		methods: {
			//顶部tab点击
			tabClick(index, type) {
				if (type == 0) {
					this.tabCurrentIndex = index;
				}
				if (type == 1) {
					this.tabCurrentIndex1 = index;
				}
			},
			navGo(index) {
				this.currentIndex = index;
				console.log(this.currentIndex, '点击');
				this.upData();
				this.loadData('reload');
			},
			// 转换金额为数字
			moneyNum(value) {
				return +value;
			},
			// 订单支付
			pay(item) {
				uni.navigateTo({
					url: '/pages/hall/hallpay?ordid=' + item.order_id + '&type=2'
				});
			},
			// 更新
			upData() {
				untreated().then(({
					data
				}) => {
					console.log(data);
					if (data.user.hanging != 0) {
						this.navList[3].isnew = 2;
					}
					if (data.user.hanging == 0) {
						this.navList[3].isnew = 1;
					}
					if (data.user.paid != 0) {
						this.navList[1].isnew = 2;
					}
					if (data.user.paid == 0) {
						this.navList[1].isnew = 1;
					}
					if (data.user.reviewed != 0) {
						this.navList[2].isnew = 2;
					}
					if (data.user.reviewed == 0) {
						this.navList[2].isnew = 1;
					}
					if (data.seller.reviewed != 0) {
						this.navList1[3].isnew = 2;
					}
					if (data.seller.reviewed == 0) {
						this.navList1[3].isnew = 1;
					}
				});
			},
			// 查看大图
			lookimg(src) {
				console.log(src);
				let arr = [src];
				uni.previewImage({
					current: src,
					urls: arr
				});
			},
			//申诉和取消申诉
			appeal(item) {
				const obj = this;
				if (this.loading) {
					return;
				}
				this.loading = true;
				if (item.appeal == 0) {
					uni.showModal({
						title: '提示',
						content: '提交申诉后会导致被冻结，是否继续提交申诉',
						success: function(res) {
							if (res.confirm) {
								uni.showLoading({
									title: '申诉中'
								});
								plead({
									order_id: item.order_id
								}).then(e => {
									uni.hideLoading();
									obj.$api.msg('申诉成功');
									obj.loadData('reload');
									obj.loading = false;
								});
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
				} else {
					uni.showModal({
						title: '提示',
						content: '提交撤销申诉后会导致画被解冻，是否继续提交取消申诉',
						success: function(res) {
							if (res.confirm) {
								uni.showLoading({
									title: '取消申诉中'
								});
								revoke({
									order_id: item.order_id
								}).then(e => {
									uni.hideLoading();
									obj.$api.msg('取消申诉成功');
									obj.loadData('reload');
									obj.loading = false;
								});
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
				}
			},
			//跳转到订单详情
			goToOrderDetail(e) {
				console.log(11);
				uni.navigateTo({
					url: '/pages/order/hallorderDetail?id=' + e.order_id
				});
			},
			gsell(item) {
				if (item.frozen) {
					return this.$api.msg('已冻结，请联系客服或与卖家协商');
				} else {
					uni.navigateTo({
						url: '/pages/hall/gsell?id=' + item.product_id
					});
				}
			},
			//卖家确认订单
			orderPay(e) {
				const obj = this;
				if (this.loading) {
					return;
				}
				uni.showModal({
					title: '提示',
					content: '通过后产品将由对方寄售',
					success: function(res) {
						if (res.confirm) {
							uni.showLoading({
								title: '确认订单中'
							});
							this.loading = true;
							adopt({
								order_id: e.order_id
							}).then(({
								data
							}) => {
								console.log('1111');
								uni.hideLoading();
								obj.loading = false;
								obj.loadData('reload');
								obj.upData();
							});
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				});
			},
			//取消挂售
			cancel(e) {
				const obj = this;
				uni.showModal({
					title: '提示',
					content: '是否取消挂售',
					success: function(res) {
						if (res.confirm) {
							if (obj.loading) {
								return;
							}
							obj.loading = true;
							uni.showLoading({
								title: '取消挂售中'
							});
							cancel({
								id: e.id
							}).then(({
								data
							}) => {
								uni.hideLoading();
								obj.loading = false;
								obj.loadData('reload');
								obj.upData();
							});
						} else if (res.cancel) {}
					}
				});
			},
			//获取订单列表
			loadData(source) {
				//这里是将订单挂载到tab列表下
				let index, navItem;
				if (this.currentIndex == 0) {
					index = this.tabCurrentIndex;
					navItem = this.navList[index];
				}
				if (this.currentIndex == 1) {
					index = this.tabCurrentIndex1;
					navItem = this.navList1[index];
				}
				console.log(source, 'load');
				let state = navItem.state;
				// if ( navItem.loaded === true) {
				// 	//tab切换只有第一次需要加载数据
				// 	return;
				// }
				if (navItem.loadingType === 'loading') {
					//防止重复加载
					return;
				}
				if (source == 'reload') {
					navItem.orderList = [];
					navItem.page = 1;
					navItem.limit = 10;
					navItem.loadingType = 'loadmore';
				}
				if (navItem.loadingType === 'nomore') {
					//防止重复加载
					return;
				}
				// 修改当前对象状态为加载中
				navItem.loadingType = 'loading';
				if (this.currentIndex == 0) {
					user_auction_order({
							type: state,
							page: navItem.page,
							limit: navItem.limit
						})
						.then(({
							data
						}) => {
							let arr = data.map(e => {
								console.log(e);
								e.create_time = e.create_time.split(' ')[0];
								if (state == 4) {
									e.stateTip = '待挂售';
									e.stateTipColor = '#fa436a';
								} else {
									if (e.status == 3 && e.is_gs == 0) {
										e.stateTip = '待挂售';
										e.stateTipColor = '#fa436a';
									} else {
										let b = this.orderStateExp(e.status);
										e.stateTip = b.stateTip;
										e.stateTipColor = b.stateTipColor;
									}
								}
								return e;
							});
							console.log(arr, '123456');
							navItem.orderList = navItem.orderList.concat(arr);

							// console.log(navItem.orderList);
							navItem.page++;
							if (navItem.limit == data.length) {
								//判断是否还有数据， 有改为 more， 没有改为noMore
								navItem.loadingType = 'loadmore';
								return;
							} else {
								//判断是否还有数据， 有改为 more， 没有改为noMore
								navItem.loadingType = 'nomore';
							}
							uni.hideLoading();
							this.$set(navItem, 'loaded', true);
						})
						.catch(e => {
							console.log(e);
						});
				}
				if (this.currentIndex == 1) {
					seller({
							type: state,
							page: navItem.page,
							limit: navItem.limit
						})
						.then(({
							data
						}) => {
							console.log(data);
							let arr = data.map(e => {
								if (state == 4) {
									e.stateTip = '售卖中';
									e.stateTipColor = '#fa436a';
								} else {
									if (e.status == 3 && e.appeal == 1) {
										e.stateTip = '冻结中';
										e.stateTipColor = '#fa436a';
									} else {
										let b = this.orderStateExp(e.status);
										e.stateTip = b.stateTip;
										e.stateTipColor = b.stateTipColor;
									}
								}
								return e;
							});
							navItem.orderList = navItem.orderList.concat(arr);

							// console.log(navItem.orderList);
							navItem.page++;
							if (navItem.limit == data.length) {
								//判断是否还有数据， 有改为 more， 没有改为noMore
								navItem.loadingType = 'loadmore';
								return;
							} else {
								//判断是否还有数据， 有改为 more， 没有改为noMore
								navItem.loadingType = 'nomore';
							}
							uni.hideLoading();
							this.$set(navItem, 'loaded', true);
						})
						.catch(e => {
							console.log(e);
						});
				}
			},
			//swiper 切换
			changeTab(e) {
				if (this.currentIndex == 0) {
					this.tabCurrentIndex = e.target.current;
				}
				if (this.currentIndex == 1) {
					this.tabCurrentIndex1 = e.target.current;
				}
				this.loadData('reload');
			},

			//删除订单
			deleteOrder(index) {
				uni.showLoading({
					title: '请稍后'
				});
				setTimeout(() => {
					this.navList[this.tabCurrentIndex].orderList.splice(index, 1);
					uni.hideLoading();
				}, 600);
			},
			//取消订单
			call(item) {
				console.log(item.phone);
				uni.makePhoneCall({
					phoneNumber: item.phone //仅为示例
				});
			},

			//订单状态文字和颜色
			orderStateExp(state) {
				let stateTip = '',
					stateTipColor = '#fa436a';
				switch (+state) {
					case 0:
						stateTip = '已过期';
						break;
					case 1:
						stateTip = '待支付';
						break;
					case 2:
						stateTip = '待审核';
						break;
					case 3:
						stateTip = '已完成';
						break;
					case undefined:
						stateTip = '待挂售';
						break;
					case 9:
						stateTip = '订单已关闭';
						stateTipColor = '#909399';
						break;

						//更多自定义
				}
				return {
					stateTip,
					stateTipColor
				};
			}
		}
	};
</script>

<style lang="scss">
	page,
	.content {
		background: $page-color-base;
		height: 100%;
	}

	.order-title {
		width: 750rpx;
		height: 270rpx;
		background: url(../../static/img/myfans.png) repeat-x 0;
		display: flex;
		flex-direction: column;
		// padding: 50rpx 0;
		text-align: center;

		.body-title {
			height: 80rpx;
			text-align: center;
			font-size: 35rpx;
			position: relative;

			.header {
				position: absolute;
				left: 0;
				top: 30rpx;
				width: 100%;
				font-size: 36rpx;
				font-family: PingFang SC;
				font-weight: bold;
				color: #fffeff;
				height: 80rpx;
				font-size: 36rpx;
				font-weight: 700;
				z-index: 9;
				display: flex;
				justify-content: center;
				align-items: center;
			}

			.goback-box {
				position: absolute;
				left: 18rpx;
				top: 30rpx;
				height: 80rpx;
				display: flex;
				align-items: center;
			}

			.goback {
				z-index: 100;
				width: 34rpx;
				height: 34rpx;
			}
		}

		text {
			margin: 30px 0;
			font-size: 17px;
			font-family: PingFang SC;
			font-weight: bold;
			color: #ffffff;
		}

		.roder-content {
			margin-top: 80rpx;
			display: flex;
			justify-content: space-around;

			.left {
				width: 168px;
				height: 40px;
				line-height: 40px;
				border: 1px solid #ffffff;
				border-radius: 5px;
				text-align: center;
				font-size: 15px;
				font-family: PingFang SC;
				font-weight: bold;
				color: #ffffff;
				background: #d5c6b2;
			}

			.current {
				color: #BB9159;
				background: #ffffff;
			}
		}
	}

	.swiper-box {
		background: red;
	}

	.list-scroll-content {
		height: 100%;
	}

	.uni-swiper-item {
		height: auto;
	}

	.navbar {
		display: flex;
		height: 40px;
		padding: 0 5px;
		background: #fff;
		box-shadow: 0 1px 5px rgba(0, 0, 0, 0.06);
		position: relative;
		z-index: 10;

		.nav-item {
			flex: 1;
			display: flex;
			justify-content: center;
			align-items: center;
			height: 100%;
			font-size: 15px;
			color: $font-color-dark;
			position: relative;

			.dian {
				position: absolute;
				top: 20rpx;
				right: 10rpx;
				width: 12rpx;
				height: 12rpx;
				border-radius: 50%;
				// background-color: $base-color;
			}

			&.current {
				color: #d9b789;

				&:after {
					content: '';
					position: absolute;
					left: 50%;
					bottom: 0;
					transform: translateX(-50%);
					width: 44px;
					height: 0;
					border-bottom: 2px solid #d9b789;
				}
			}
		}
	}

	.order-item {
		display: flex;
		flex-direction: column;
		background: #fff;
		margin: 16rpx 30rpx 0 30rpx;
		border-radius: 20rpx;
		overflow: hidden;
		.i-top {
			display: flex;
			align-items: center;
			height: 80rpx;
			font-size: $font-base;
			color: $font-color-dark;
			position: relative;
			padding: 0 30rpx;

			.time {
				flex: 1;
			}

			.state {
				color: $base-color;
			}

			.del-btn {
				padding: 10rpx 0 10rpx 36rpx;
				font-size: $font-lg;
				color: $font-color-light;
				position: relative;

				&:after {
					content: '';
					width: 0;
					height: 30rpx;
					border-left: 1px solid $border-color-dark;
					position: absolute;
					left: 20rpx;
					top: 50%;
					transform: translateY(-50%);
				}
			}
		}

		/* 多条商品 */
		.goods-box {
			height: 160rpx;
			padding: 20rpx 0;
			white-space: nowrap;

			.goods-item {
				width: 120rpx;
				height: 120rpx;
				display: inline-block;
				margin-right: 24rpx;
			}

			.goods-img {
				display: block;
				width: 100%;
				height: 100%;
			}
		}

		/* 单条商品 */
		.goods-box-single {
			display: flex;
			padding: 20rpx 30rpx;

			.goods-img {
				display: block;
				width: 120rpx;
				height: 120rpx;
			}

			.right {
				flex: 1;
				display: flex;
				flex-direction: column;
				padding: 0 0 0 24rpx;
				overflow: hidden;

				.row {
					margin-top: 10rpx;
				}

				.row_title {
					padding: 5rpx 10rpx;
					background-color: #dddddd;
					border-radius: 10rpx;
					font-size: 22rpx;
					color: #ffffff;
				}

				.title {
					font-size: $font-base + 2rpx;
					color: $font-color-dark;
					line-height: 1;
					width: 80%;
				}

				.attr-box {
					display: flex;
					justify-content: flex-end;
					font-size: $font-sm + 2rpx;
					color: $font-color-light;
				}

				.price {
					display: inline;
					font-size: $font-base + 2rpx;
					color: $font-color-dark;

					&:before {
						content: '￥';
						font-size: $font-sm;
					}
				}
			}
		}

		.buy-box {
			padding: 10rpx 22rpx;
			background-color: #ffffff;

			.buy-info {
				display: flex;
				align-items: center;

				.font {
					font-size: $font-base;
					font-weight: 500;
					color: #333333;
				}

				.avter {
					margin-left: 10rpx;
					width: 46rpx;
					height: 46rpx;
					border-radius: 50%;
				}

				.buy-name {
					margin-left: 10rpx;
					font-size: 32rpx;
					font-family: PingFang SC;
					font-weight: bold;
					color: #333333;
				}

				.phone {
					margin-left: 12rpx;
					font-size: 24rpx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #999999;
				}
			}
		}

		.upimg {
			padding-left: 20rpx;
			padding-top: 10rpx;
			padding-bottom: 10rpx;
			display: flex;

			.up-tit {
				display: inline-block;
				font-size: 26rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #6d7c88;
			}

			.img-wrap {
				width: 153rpx;
				height: 152rpx;

				border-radius: 20rpx;

				image {
					border-radius: 20rpx;
					width: 153rpx;
					height: 152rpx;
					background-color: #ccc;
				}
			}
		}

		.price-box {
			display: flex;
			justify-content: flex-end;
			align-items: baseline;
			padding: 20rpx 30rpx;
			font-size: $font-sm + 2rpx;
			color: $font-color-light;

			.num {
				margin: 0 8rpx;
				color: $font-color-dark;
			}

			.price {
				font-size: $font-lg;
				color: $font-color-dark;

				&:before {
					content: '￥';
					font-size: $font-sm;
					margin: 0 2rpx 0 8rpx;
				}
			}
		}

		.action-box {
			padding: 0 30rpx;
			height: 100rpx;
			position: relative;
			.time{
				font-size: $font-sm;
				color: $font-color-light;
			}
		}

		.refuse {
			margin: 0;
			padding: 0;
			width: 160rpx;
			height: 60rpx;
			border: 2rpx solid #ebebeb;
			border-radius: 28rpx;
			text-align: center;
			line-height: 60rpx;
			font-size: 26rpx;
			font-family: PingFang SC;
			font-weight: 500;
			color: #999999;

			&:after {
				border-radius: 100px;
			}

			&.recom {
				color: #999999;

				&:after {
					border-color: #999999;
				}
			}
		}

		.action-btn {
			min-width: 160rpx;
			height: 60rpx;
			text-align: center;
			line-height: 60rpx;
			font-size: $font-sm + 2rpx;
			color: $font-color-dark;
			background: #fff;
			border-radius: 100px;
			border: 2rpx solid #fd3b39;
			border-radius: 28px;

			&:after {
				border-radius: 100px;
			}

			&.recom {
				color: $base-color;

				&:after {
					border-color: $base-color;
				}
			}

			&.evaluate {
				color: $color-yellow;

				&:after {
					border-color: $color-yellow;
				}
			}
		}
	}

	/* load-more */
	.uni-load-more {
		display: flex;
		flex-direction: row;
		height: 80rpx;
		align-items: center;
		justify-content: center;
	}

	.uni-load-more__text {
		font-size: 28rpx;
		color: #999;
	}

	.uni-load-more__img {
		height: 24px;
		width: 24px;
		margin-right: 10px;
	}

	.uni-load-more__img>view {
		position: absolute;
	}

	.uni-load-more__img>view view {
		width: 6px;
		height: 2px;
		border-top-left-radius: 1px;
		border-bottom-left-radius: 1px;
		background: #999;
		position: absolute;
		opacity: 0.2;
		transform-origin: 50%;
		animation: load 1.56s ease infinite;
	}

	.uni-load-more__img>view view:nth-child(1) {
		transform: rotate(90deg);
		top: 2px;
		left: 9px;
	}

	.uni-load-more__img>view view:nth-child(2) {
		transform: rotate(180deg);
		top: 11px;
		right: 0;
	}

	.uni-load-more__img>view view:nth-child(3) {
		transform: rotate(270deg);
		bottom: 2px;
		left: 9px;
	}

	.uni-load-more__img>view view:nth-child(4) {
		top: 11px;
		left: 0;
	}

	.load1,
	.load2,
	.load3 {
		height: 24px;
		width: 24px;
	}

	.load2 {
		transform: rotate(30deg);
	}

	.load3 {
		transform: rotate(60deg);
	}

	.load1 view:nth-child(1) {
		animation-delay: 0s;
	}

	.load2 view:nth-child(1) {
		animation-delay: 0.13s;
	}

	.load3 view:nth-child(1) {
		animation-delay: 0.26s;
	}

	.load1 view:nth-child(2) {
		animation-delay: 0.39s;
	}

	.load2 view:nth-child(2) {
		animation-delay: 0.52s;
	}

	.load3 view:nth-child(2) {
		animation-delay: 0.65s;
	}

	.load1 view:nth-child(3) {
		animation-delay: 0.78s;
	}

	.load2 view:nth-child(3) {
		animation-delay: 0.91s;
	}

	.load3 view:nth-child(3) {
		animation-delay: 1.04s;
	}

	.load1 view:nth-child(4) {
		animation-delay: 1.17s;
	}

	.load2 view:nth-child(4) {
		animation-delay: 1.3s;
	}

	.load3 view:nth-child(4) {
		animation-delay: 1.43s;
	}

	@-webkit-keyframes load {
		0% {
			opacity: 1;
		}

		100% {
			opacity: 0.2;
		}
	}

	.swiper-box-one {
		height: calc(100% - 175px);
	}
</style>